Name:		rejson
Version:	1.0.1
Release:	1%{?dist}
Summary:	JSON data type for Redis

License:	AGPLv3
URL:		http://rejson.io/
Source0:	https://github.com/RedisLabsModules/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	redis-devel python-rmtest python
BuildRequires:  redis >= 4
Requires:	redis(modules_abi)%{?_isa} = %{redis_modules_abi}
Requires:	redis >= 4

%description
ReJSON is a Redis module that implements the JSON Data
Interchange Standard as a native data type.  It allows
storing, updating and fetching JSON values from Redis.

%prep
%setup -q

%build
make %{?_smp_mflags} LD="cc" LDFLAGS="%{?__global_ldflags}"

%check
make test

%install
mkdir -p %{buildroot}%{redis_modules_dir}
install -pDm755 src/%{name}.so %{buildroot}%{redis_modules_dir}/%{name}.so

%files
%license LICENSE
%doc README.md docs/*.md docs/images/*
%{redis_modules_dir}/%{name}.so

%changelog
* Wed Jan 03 2018 Nathan Scott <nathans@redhat.com> - 1.0.1-1
- Remove python installation assumptions.
- Update to latest upstream release.

* Mon Nov 27 2017 Nathan Scott <nathans@redhat.com> - 1.0.0-1
- Add runtime testing using python-rmtest package.
- Update to latest upstream release.

* Fri Nov 17 2017 Nathan Scott <nathans@redhat.com> - 0.99.1-2
- Updated to add license file, from package review.

* Wed Nov 15 2017 Nathan Scott <nathans@redhat.com> - 0.99.1-1
- Initial package.
